vpGetLight(3)

NAME
vpGetLight - get lighting properties

SYNOPSIS
#include <volpack.h>

vpGetLight(vpc, light_num, property, n0_ptr, n1_ptr, n2_ptr) vpContext *vpc; int light_num; int property; double *n0_ptr, *n1_ptr, *n2_ptr;

ARGUMENTS

vpc VolPack context from vpCreateContext.

light_num
    A constant specifying a particular light source (VP_LIGHT0, VP_LIGHT1, ..., VP_LIGHT5).

property
    A constant specifying one lighting property (VP_COLOR or VP_DIRECTION).

n0_ptr, n1_ptr, n2_ptr
    Locations for storing the result: components of an RGB color (for VP_COLOR) or a direction vector (for VP_DIRECTION).

DESCRIPTION
vpGetLight is used to get the properties of a light source. The arguments are exactly analogous to vpSetLight except that the final three arguments are pointers to locations for storing the lighting properties.

ERRORS
The normal return value is VP_OK. The following error return values are possible:

VPERROR_LIMIT_EXCEEDED
    The light number is invalid or exceeds an implementation limit.

VPERROR_BAD_OPTION
    The property argument is invalid.

SEE ALSO
VolPack(3), vpCreateContext(3), vpSetLight(3)